# $Revision: 1.28 $, $Date: 2008-01-05 21:29:51 $
Summary:	A CHM file viewer for Gnome
Summary(pl.UTF-8):	Przeglądarka plików CHM dla Gnome
Name:		gnochm
Version:	0.9.11
Release:	1
License:	GPL v2+
Group:		Applications/Publishing
Source0:	http://dl.sourceforge.net/gnochm/%{name}-%{version}.tar.gz
# Source0-md5:	d77cc819eaa64b3ab333c4a73e88cfc0
Patch0:		%{name}-desktop.patch
URL:		http://gnochm.sourceforge.net/
BuildRequires:	GConf2-devel
BuildRequires:	autoconf
BuildRequires:	automake
%pyrequires_eq	python
BuildRequires:	chmlib-devel
BuildRequires:	gettext-devel
BuildRequires:	libtool
BuildRequires:	python-devel >= 2.5
BuildRequires:	rpm-pythonprov 
BuildRequires:	rpmbuild(macros) >= 1.197
BuildRequires:	scrollkeeper
Requires(post,preun):	GConf2
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	scrollkeeper
Requires(post,postun):	shared-mime-info
Requires:	python-chm >= 0.8.3
Requires:	python-gnome
Requires:	python-gnome-gconf
Requires:	python-gnome-extras-gtkhtml >= 2.10.0
Requires:	python-gnome-ui
Requires:	python-gnome-vfs >= 2.10.0
Requires:	python-pygtk-glade
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A CHM file viewer for Gnome. Features are:
- Full text search
- Bookmarks
- Support for external ms-its links
- Configurable support for HTTP links
- Internationalisation

%description -l pl.UTF-8
Przeglądarka plików CHM dla Gnome charakteryzująca się:
- Pełnym wyszukiwaniem tekstu
- Zakładkami
- Obsługą zewnętrznych powiązań ms-its
- Konfigurowalnym wsparciem dla powiązań HTTP
- Obsługą języków narodowych

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 \
	SHAREDMIME_TOOL=no

rm -r $RPM_BUILD_ROOT%{_datadir}/{application-registry,mime-info}

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post 
%gconf_schema_install gnochm.schemas
%scrollkeeper_update_post
%update_desktop_database_post
umask 022
update-mime-database %{_datadir}/mime ||:

%preun
%gconf_schema_uninstall gnochm.schemas

%postun
%scrollkeeper_update_postun
%update_desktop_database_postun
if [ $1 = 0 ]; then
	umask 022
	update-mime-database %{_datadir}/mime
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ABOUT-NLS AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/gnochm
%{_datadir}/%{name}
%{_datadir}/omf/gnochm
%{_pixmapsdir}/*
%{_desktopdir}/gnochm.desktop
%{_datadir}/mime/packages/gnochm.*
%{_sysconfdir}/gconf/schemas/gnochm.schemas

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnochm.spec,v $
Revision 1.28  2008-01-05 21:29:51  twittner
- up to 0.9.11

Revision 1.27  2007-08-25 11:45:59  shadzik
- 0.9.10
- rel 1

Revision 1.26  2007/02/24 05:56:21  sls
- no man files (?)

Revision 1.25  2007/02/24 05:14:11  sls
- ver. 0.9.9

Revision 1.24  2007/02/13 07:16:46  glen
- tabs in preamble

Revision 1.23  2007/02/12 00:48:52  baggins
- converted to UTF-8

Revision 1.22  2006/09/27 20:20:39  wrobell
- rel. 2 to rebuild with python 2.5 (final)

Revision 1.21  2006/08/25 11:30:50  wrobell
- ver. 0.9.8
- require python 2.5

Revision 1.20  2006/04/03 15:26:04  wrobell
- ver. 0.9.7

Revision 1.19  2005/09/28 09:51:06  tiwek
- up to 0.9.6
- buils and works fine.
- STBR ?

Revision 1.18  2005/07/04 08:13:32  speedy
- more BR.

Revision 1.17  2005/05/15 00:16:36  ankry
- %post shouldn't fail if no rw permission to /usr

Revision 1.16  2005/05/14 08:56:17  darekr
- use _desktopdir

Revision 1.15  2005/04/30 08:22:50  paladine
- updated to 0.9.5
- removed outdated DESTDIR patch

Revision 1.14  2005/04/27 20:46:46  paladine
- new style macros
- don't package gnome-mime-data stuff
- fixed R
- rel. 3

Revision 1.13  2005/04/18 21:36:39  speedy
- release 2
- Req: python-gnome-vfs

Revision 1.12  2005/04/09 18:57:33  speedy
- Req: python-pygtk-glade

Revision 1.11  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.10  2005/02/14 08:36:16  paladine
- updated to 0.9.4
- added DESTDIR patch
- proper license

Revision 1.9  2004/12/29 23:21:41  krzak
- fixed %postun

Revision 1.8  2004/12/29 23:16:41  krzak
- update-mime-database
- /usr/bin/update-desktop-database
- rel. 4

Revision 1.7  2004/12/26 15:55:05  saq
- release 3 for rebuild with python 2.4

Revision 1.6  2004/12/21 01:14:21  zbyniu
- BR: GConf2-devel, libtool

Revision 1.5  2004/12/21 00:48:38  undefine
- br: scrollkeeper, release 2

Revision 1.4  2004/11/08 18:15:54  paladine
- updated to 0.9.3
- added desktop patch

Revision 1.3  2004/10/29 09:02:01  paladine
- "HTTP" unification

Revision 1.2  2004/08/28 19:13:22  undefine
- more requires (by Piotr Budny <vip@linux.pl>)

Revision 1.1  2004/08/28 13:20:09  undefine
- initial pld version based on spec by Rubens Ramos <rubensr@users.sourceforge.net>

* Sat Jan 10 2004 Rubens Ramos <rubensr@users.sourceforge.net>
- Updated copyright and dependencies

* Sun Dec 28 2003 Rubens Ramos <rubensr@users.sourceforge.net>
- After quite some time trying to understand what I
  actually needed here, things are working. Now gconf stuff seems to
  be installed properly, as well as scrollkeeper docs.
- I guess noarch is better than i386.
- Added a bunch of dependencies
